crashpad::MemorySnapshot::Delegate Class Referenceabstract

An interface that MemorySnapshot clients must implement in order to receive memory snapshot data. More...

`#include "snapshot/memory_snapshot.h"`

Inheritance diagram for crashpad::MemorySnapshot::Delegate:

## Public Member Functions

virtual bool | MemorySnapshotDelegateRead (void *data, size_t size)=0
| Called by MemorySnapshot::Read() to provide data requested by a call to that method. More...

## Detailed Description

An interface that MemorySnapshot clients must implement in order to receive memory snapshot data.

This callback-based model frees MemorySnapshot implementations from having to deal with memory region ownership problems. When a memory snapshot’s data is read, it will be passed to a delegate method.

## Member Function Documentation

## MemorySnapshotDelegateRead()

virtual bool crashpad::MemorySnapshot::Delegate::MemorySnapshotDelegateRead | ( | void * | data,
|  | size_t | size
| ) |  |

pure virtual

Called by MemorySnapshot::Read() to provide data requested by a call to that method.

Parameters

  [in] | data | A pointer to the data that was read. The callee does not take ownership of this data. This data is only valid for the duration of the call to this method. This parameter may be `nullptr` if size is `0`.
  [in] | size | The size of the data that was read.

Returns
  `true` on success, `false` on failure. MemoryDelegate::Read() will use this as its own return value.

Implemented in crashpad::MinidumpUserStreamWriter::SnapshotContentsWriter.

The documentation for this class was generated from the following file:

- snapshot/memory_snapshot.h